Difficulty installing SeaDAS 7.4 OCSSW packages on linux

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
amsayer
Posts: 22
Joined: Tue Jan 25, 2011 3:03 pm America/New_York
Answers: 0

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by amsayer » Thu Mar 01, 2018 1:34 pm America/New_York

Hi all,

I've been trying to install SeaDAS 7.4 and OCSSW packages on a 64-bit linux machine here, and have run into a problem. I got the files and am going through the instructions here: https://seadas.gsfc.nasa.gov/downloads/

I have successfully installed SeaDAS 7.4 using the "SeaDAS Visualization Installers" instructions on that page, into a directory /data3/asayer/seadas-7.4, and added the path to my login shell. (Note the install location for SeaDAS isn't in my home directory here due to a space limitation.)

I then went on to try to install the ocssw packages (I want source code and SeaWiFS). I did steps 1, 2, and 3 on the above link (checking for software, download the installer script, make install_ocssw.py executable). However when I try to run it I get an error message. My understanding is that for the source code and SeaWiFS processing packages, I should invoke the command as follows:

./install_ocssw.py --install-dir=/data3/asayer/seadas-7.4/ocssw --git-branch=v7.4 --src --seawifs

However doing so gives this output:

Installing bundles.sha256sum (1 of 10)
--2018-03-01 13:31:06--  https://oceandata.sci.gsfc.nasa.gov/ocssw/bundles.sha256sum
Resolving oceandata.sci.gsfc.nasa.gov... xx.xxx.xx.xx, 2001:4d0:2418:128::84
Connecting to oceandata.sci.gsfc.nasa.gov|xx.xxx.xx.xx|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2992 (2.9K) [application/octet-stream]
Saving to: “bundles.sha256sum”

100%[================================================================================================================================>] 2,992       --.-K/s   in 0s     

2018-03-01 13:31:06 (133 MB/s) - “bundles.sha256sum” saved [2992/2992]

Installing common (2 of 10)
error: unknown switch `B'
usage: git checkout [options] <branch>
   or: git checkout [options] [<branch>] -- <file>...

    -q, --quiet           be quiet
    -b <new branch>       branch
    -l                    log for new branch
    -t, --track           track
    -2, --ours            stage
    -3, --theirs          stage
    -f, --force           force
    -m, --merge           merge
    --conflict <style>    conflict style (merge or diff3)
    -p, --patch           select hunks interactively

Error - Could not run "cd /data3/asayer/seadas-7.4/ocssw/run/data/common; git checkout -t -B v7.4 remotes/origin/v7.4 -q > /dev/null"


Do you know where I might be going wrong? I guess "error: unknown switch `B'" is the culprit but am not sure why/how to fix.

Cheers,

Andy

Filters:

amsayer
Posts: 22
Joined: Tue Jan 25, 2011 3:03 pm America/New_York
Answers: 0

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by amsayer » Thu Mar 01, 2018 1:43 pm America/New_York

Also, since it is probably relevant, my OS is CentOS 6.9. And these are my installed software versions:

- git version 1.7.1
- curl 7.19.7 (x86_64-redhat-linux-gnu) libcurl/7.19.7 NSS/3.27.1 zlib/1.2.3 libidn/1.18 libssh2/1.4.2
- GNU bash, version 4.1.2(2)-release (x86_64-redhat-linux-gnu)
- Python 2.6.6

gnwiii
Posts: 713
Joined: Fri Jan 29, 2021 5:51 pm America/New_York
Answers: 2
Has thanked: 1 time

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by gnwiii » Thu Mar 01, 2018 1:55 pm America/New_York

I've seen this before.   Check your version of git against the requirements.  Here, man git-checkout (for versions 2.11.0 or 2.16.2) has:
git checkout [-q] [-f] [-m] [[-b|-B|--orphan] <new_branch>] [<start_point>]

amsayer
Posts: 22
Joined: Tue Jan 25, 2011 3:03 pm America/New_York
Answers: 0

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by amsayer » Thu Mar 01, 2018 1:57 pm America/New_York

Thanks; I am not sure if we can update to a newer git here on this OS but can ask the sysadmin. What are the required versions? The page for requirements listed in the install instructions gives an error code: https://seadas.gsfc.nasa.gov/requirements.html

amsayer
Posts: 22
Joined: Tue Jan 25, 2011 3:03 pm America/New_York
Answers: 0

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by amsayer » Thu Mar 01, 2018 2:52 pm America/New_York

It turns out that replacing -B with -b in install_ocssw.py was sufficient to get it to run and install without any error messages. :)

gnwiii
Posts: 713
Joined: Fri Jan 29, 2021 5:51 pm America/New_York
Answers: 2
Has thanked: 1 time

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by gnwiii » Thu Mar 01, 2018 7:25 pm America/New_York

Good news.  The requirements page loads fine for me (here in Canada) at 7:30PM Eastern time.

OB.DAAC - SeanBailey
User Services
User Services
Posts: 1473
Joined: Wed Sep 18, 2019 6:15 pm America/New_York
Answers: 1
Been thanked: 5 times

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by OB.DAAC - SeanBailey » Fri Mar 02, 2018 8:00 am America/New_York

The link should be:
https://seadas.gsfc.nasa.gov/requirements/

Seems the .html extension was erroneously left on that link when we migrated the web server content management a while back.
We'll get it fixed soon.

Sean

melliott
Posts: 11
Joined: Tue Jun 08, 2010 2:23 pm America/New_York
Answers: 0

Difficulty installing SeaDAS 7.4 OCSSW packages on linux

by melliott » Fri Mar 02, 2018 1:19 pm America/New_York

That link is fixed now.

Post Reply